# -*- coding: utf-8 -*-
# @Time    : 2019/5/24 23:45
# @Author  : MasterGuo
# @Email   : guowj@bigaka.com

import time
import requests
import json
import time
import uuid
import random
from config import config, env

def get_base_url():
	if env in config.keys():
		url = config.get(env).get("url")
		token = config.get(env).get("tunnel-token")
		headers = {
			"Content-Type": "application/json",
			"tunnel-token": token
			# "tunnel-token": ""
		}
		if url and headers:
			return url, headers
		else:
			return None
	else:
		return None


def post_data(method, data, md="POST", **headers):
	if get_base_url():
		url, headers = get_base_url()
		url += method
		print(url, headers)
		input_json_data = json.dumps(data, ensure_ascii=False, indent=2)
		print("="*60)
		print((input_json_data))
		print("="*60)
		if md == "POST":
			response = requests.post(url, json=data, headers=headers)
		elif md == "GET":
			response = requests.get(url, json=data, headers=headers)
		if response.status_code == 200:
			# 直接输出
			# print (response.text.encode("utf-8").decode("utf-8"))
			# 美化输出
			response = json.loads(response.text.encode("utf-8").decode("utf-8"))
			json_data = json.dumps(response, ensure_ascii=False, indent=2)
			print(json_data)
		else:
			print("Error: " + response.text)
	else:
		print("Error: config")


def generateRandomstr(length=8):
	randomData = str(int(uuid.uuid4()))
	s = int(random.uniform(1, 9))
	return randomData[s:s + length]


def get_time_str(type=0):
	timestruct = time.localtime(time.time())
	if type == 0:
		# 格式如：2019-05-24&16:00:43
		return time.strftime("%Y-%m-%d&%H:%M:%S", timestruct)
	elif type == 1:
		# 格式如：2019-05-24 16:00:43
		return time.strftime("%Y-%m-%d %H:%M:%S", timestruct)
	elif type == 2:
		# 积分变更流水编号 201 19052416070146480
		return time.strftime("201%y%m%d%H%M%S", timestruct) + generateRandomstr()
	elif type == 3:
		# 线下订单编号 	301 19052416070146480
		return time.strftime("301%y%m%d%H%M%S", timestruct) + generateRandomstr()
	elif type == 4:
		# 线下退单编号 	302 19052416070146480
		return time.strftime("302%y%m%d%H%M%S", timestruct) + generateRandomstr()

